Modbot Docs
APIAPI referenceCalendar

Get next game

GET/api/calendar/events/{id}/next-game

During an open event that picks from a world list: the world picked last as the next game, and how many people are in the event's instance now.

Needs the ViewCalendar permission.

AuthorizationBearer <token>

An API key, made on Settings, API keys. Every key starts with mbk_.

In: header

Path Parameters

id*string
Formatuuid

Query Parameters

instanceId?string
Formatuuid

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/api/calendar/events/497f6eca-6276-4993-bfeb-53cbbbba6f08/next-game"
{  "eventId": "d6703cc8-9e79-415d-ac03-a4dc7f6ab43c",  "eventTitle": "string",  "listId": "9fc6ad7d-902a-4834-b161-a4911b883d44",  "listName": "string",  "instanceId": null,  "people": null,  "peopleUnsure": true,  "game": null,  "noneFits": true,  "canPick": true}

Modbot is not endorsed by or affiliated with VRChat Inc. or Discord Inc. VRChat is a trademark of VRChat Inc. Discord is a trademark of Discord Inc. SteamVR is a trademark of Valve Corporation. Windows is a trademark of Microsoft Corporation. Docker is a trademark of Docker, Inc. PostgreSQL is a trademark of the PostgreSQL Community Association of Canada. Railway is a trademark of Railway Corp. Other names are trademarks of their respective owners; see Legal. Modbot and its logo are trademarks of the Modbot project. Open source under AGPL-3.0.